## networking-bgpvpn 12.0.0~b3~git2020032545.9dcd5ed

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=4.0.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.db>=4.37.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
neutron-lib>=1.30.0 # Apache-2.0
debtcollector>=1.19.0 # Apache-2.0

# OpenStack CI will install the following projects from git
# if they are in the required-projects list for a job:
neutron>=13.0.0 # Apache-2.0

# The comment below indicates this project repo is current with neutron-lib
# and should receive neutron-lib consumption patches as they are released
# in neutron-lib. It also implies the project will stay current with TC
# and infra initiatives ensuring consumption patches can land.
# neutron-lib-current

=== debian/changelog ===
networking-bgpvpn (12.0.0~b3~git2020032545.9dcd5ed-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Mar 2020 10:03:03 +0000

networking-bgpvpn (12.0.0~b2~git2020020712.7b00569-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Fri, 07 Feb 2020 13:03:26 +0100

networking-bgpvpn (12.0.0~b1~git2019121710.40fa37b-0ubuntu2) focal; urgency=medium

  * d/control: Ensure (Build-)Depends are aligned with Ussuri. Tests were failing
    when old versions of networking-bagpipe and neutron were being used.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 20 Dec 2019 10:29:13 -0500

networking-bgpvpn (12.0.0~b1~git2019121710.40fa37b-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream
  * d/control: Drop. Dropped Python2 support
  * d/rules: Swith to pybuild
  * d/rules: Update PBR_VERSION to handle ~git versioning.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 17 Dec 2019 11:41:49 +0100

networking-bgpvpn (11.0.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Wed, 16 Oct 2019 16:13:40 +0100

networking-bgpvpn (11.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/watch: Track 11.x series.
  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 12:29:02 +0100

networking-bgpvpn (11.0.0~b2~git2019080820.9ec426c-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Aug 2019 20:59:23 -0400

networking-bgpvpn (11.0.0~b1~git2019061315.d9cfb7b-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Jun 2019 12:04:12 +0100

=== debian/control ===
Source: networking-bgpvpn
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 4.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
 python3-sphinxcontrib.blockdiag (>= 1.5.4),
 python3-sphinxcontrib.seqdiag (>= 0.8.4),
Build-Depends-Indep:
 python3-coverage (>= 4.0),
 python3-debtcollector (>= 1.19.0),
 python3-django-nose (>= 1.4.4),
 python3-hacking (>= 0.12.0),
 python3-networking-bagpipe (>= 12.0.0~),
 python3-neutron (>= 2:15.0.0~),
 python3-neutron-lib (>= 1.30.0),
 python3-openstackdocstheme (>= 1.20.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.37.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-psycopg2 (>= 2.7.7),
 python3-pymysql (>= 0.7.6),
 python3-reno (>= 2.5.0),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 1.0.0),
 python3-tempest (>= 1:17.1.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.8.2),
Standards-Version: 4.1.2

Package: networking-bgpvpn-common
Architecture: all
Depends:
 ${misc:Depends},
Breaks:
 python-networking-bgpvpn (<< 9.0.0~b2-0ubuntu2~),
Replaces:
 python-networking-bgpvpn (<< 9.0.0~b2-0ubuntu2~),
Description: BGP-MPLS VPN Extension for OpenStack Networking (common)
 This project provides an API and Framework to interconnect BGP/MPLS VPNs
 to Openstack Neutron networks, routers and ports.
 .
 The Border Gateway Protocol and Multi-Protocol Label Switching are widely
 used Wide Area Networking technologies. The primary purpose of this project
 is to allow attachment of Neutron networks and/or routers to VPNs built in
 carrier provided WANs using these standard protocols. An additional purpose
 of this project is to enable the use of these technologies within the Neutron
 networking environment.
 .
 This package provides common configuration files.

Package: python-networking-bgpvpn-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: BGP-MPLS VPN Extension for OpenStack Networking (common documentation)
 This project provides an API and Framework to interconnect BGP/MPLS VPNs
 to Openstack Neutron networks, routers and ports.
 .
 The Border Gateway Protocol and Multi-Protocol Label Switching are widely
 used Wide Area Networking technologies. The primary purpose of this project
 is to allow attachment of Neutron networks and/or routers to VPNs built in
 carrier provided WANs using these standard protocols. An additional purpose
 of this project is to enable the use of these technologies within the Neutron
 networking environment.
 .
 This is the common documentation package.

Package: python3-networking-bgpvpn
Architecture: all
Depends:
 networking-bgpvpn-common (= ${source:Version}),
 python3-debtcollector (>= 1.19.0),
 python3-networking-bagpipe (>= 12.0.0~),
 python3-neutron (>= 2:15.0.0~),
 python3-neutron-lib (>= 1.30.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.37.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 4.0.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-networking-bgpvpn-doc,
Description: BGP-MPLS VPN Extension for OpenStack Networking (Python 3)
 This project provides an API and Framework to interconnect BGP/MPLS VPNs
 to Openstack Neutron networks, routers and ports.
 .
 The Border Gateway Protocol and Multi-Protocol Label Switching are widely
 used Wide Area Networking technologies. The primary purpose of this project
 is to allow attachment of Neutron networks and/or routers to VPNs built in
 carrier provided WANs using these standard protocols. An additional purpose
 of this project is to enable the use of these technologies within the Neutron
 networking environment.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/networking-bgpvpn networking-bgpvpn-(11\.\d.*)\.tar\.gz

## networking-bgpvpn 12.0.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4'  # BSD
openstackdocstheme>=1.20.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0

sphinxcontrib-blockdiag>=1.5.4 # BSD
sphinxcontrib-seqdiag>=0.8.4 # BSD

=== debian/changelog ===
networking-bgpvpn (12.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/p/fix-mock.patch: Cherry-picked from https://review.opendev.org/#/c/722308 to
    fix unit test failures.
  * d/watch: Scope to 12.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 May 2020 14:03:10 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/networking-bgpvpn networking-bgpvpn-(12\.\d.*)\.tar\.gz

## networking-bgpvpn 13.0.0

=== requirements.txt ===
--- 
+++ 
@@ -13,7 +13,9 @@
 
 # OpenStack CI will install the following projects from git
 # if they are in the required-projects list for a job:
-neutron>=13.0.0 # Apache-2.0
+neutron>=16.0.0.0b1 # Apache-2.0
+networking-bagpipe>=12.0.0.0rc1 # Apache-2.0
+horizon>=17.1.0 # Apache-2.0
 
 # The comment below indicates this project repo is current with neutron-lib
 # and should receive neutron-lib consumption patches as they are released

=== debian/changelog ===
networking-bgpvpn (13.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 17:53:59 +0200

networking-bgpvpn (13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Sep 2020 10:05:32 +0200

networking-bgpvpn (12.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 17:26:37 +0200

networking-bgpvpn (12.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 12:46:59 +0200

networking-bgpvpn (12.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Move the package to the neutron-plugins subgroup on Salsa.
  * Fixed duplicate build-depends.
  * Standards-Version: 4.5.0.
  * debhelper-compat = 11.

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Apr 2020 11:59:00 +0200

=== debian/control ===
Source: networking-bgpvpn
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 109~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
 python3-sphinxcontrib.blockdiag,
 python3-sphinxcontrib.seqdiag,
Build-Depends-Indep:
 openstack-dashboard (>= 3:17.1.0),
 python3-astroid,
 python3-coverage,
 python3-debtcollector,
 python3-django-horizon,
 python3-django-nose,
 python3-isort,
 python3-networking-bagpipe (>= 12.0.0),
 python3-neutron (>= 2:16.0.0),
 python3-neutron-lib (>= 1.30.0),
 python3-openstackdocstheme,
 python3-os-testr,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-oslosphinx,
 python3-oslotest,
 python3-psycopg2 (>= 2.8.5),
 python3-pymysql,
 python3-stestr,
 python3-subunit,
 python3-tempest,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 subunit,
Standards-Version: 4.5.0
Homepage: http://github.com/openstack/networking-bgpvpn
Vcs-Browser: https://salsa.debian.org/openstack-team/neutron-plugins/networking-bgpvpn
Vcs-Git: https://salsa.debian.org/openstack-team/neutron-plugins/networking-bgpvpn.git

Package: networking-bgpvpn-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack virtual network service - BGP-MPLS VPN Extension - doc
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides an API and Framework to interconnect BGP/MPLS VPNs to
 Openstack Neutron networks, routers and ports.
 .
 The Border Gateway Protocol and Multi-Protocol Label Switching are widely used
 Wide Area Networking technologies. The primary purpose of this project is to
 allow attachment of Neutron networks and/or routers to VPNs built in carrier
 provided WANs using these standard protocols. An additional purpose of this
 project is to enable the use of these technologies within the Neutron
 networking environment.
 .
 A vendor-neutral API and data model are provided such that multiple SDN
 controllers may be used as backends, while offering the same tenant facing
 API. A reference implementation working along with Neutron reference drivers
 is also provided.
 .
 This package contains the documentation.

Package: python3-networking-bgpvpn
Architecture: all
Section: python
Depends:
 python3-debtcollector,
 python3-django-horizon,
 python3-networking-bagpipe (>= 12.0.0),
 python3-neutron (>= 2:16.0.0),
 python3-neutron-lib (>= 1.30.0),
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-pbr,
 python3-sphinx,
 python3-sphinxcontrib.blockdiag,
 python3-sphinxcontrib.seqdiag,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 networking-bgpvpn-doc,
Description: OpenStack virtual network service - BGP-MPLS VPN Extension - Python 3.x
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides an API and Framework to interconnect BGP/MPLS VPNs to
 Openstack Neutron networks, routers and ports.
 .
 The Border Gateway Protocol and Multi-Protocol Label Switching are widely used
 Wide Area Networking technologies. The primary purpose of this project is to
 allow attachment of Neutron networks and/or routers to VPNs built in carrier
 provided WANs using these standard protocols. An additional purpose of this
 project is to enable the use of these technologies within the Neutron
 networking environment.
 .
 A vendor-neutral API and data model are provided such that multiple SDN
 controllers may be used as backends, while offering the same tenant facing
 API. A reference implementation working along with Neutron reference drivers
 is also provided.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_clean:
	dh_clean
	rm -rf build

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

	mkdir -p $(CURDIR)/debian/python3-networking-bgpvpn/etc/neutron
	PYTHON=python3 PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
		oslo-config-generator \
		--output-file $(CURDIR)/debian/python3-networking-bgpvpn/etc/neutron/networking_bgpvpn.conf \
		--wrap-width 140 \
		--namespace networking-bgpvpn.service_provider

	mkdir -p $(CURDIR)/debian/python3-networking-bgpvpn/etc/neutron/policy.d
	PYTHON=python3 PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
		oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/python3-networking-bgpvpn/etc/neutron/policy.d/bgpvpn.conf \
		--format json \
		--namespace networking-bgpvpn

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "Disabling tests until networking-bagpipe is in Debian ..."
#	pkgos-dh_auto_test --no-py2 'networking_bgpvpn\.tests.*'
endif

	rm -r $(CURDIR)/debian/tmp/usr/etc

	dh_install
	dh_missing --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx -b html doc/source debian/networking-bgpvpn-doc/usr/share/doc/networking-bgpvpn-doc/html
	dh_sphinxdoc
endif

## networking-bgpvpn 14.0.0

=== debian/changelog ===
networking-bgpvpn (14.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 13:53:16 +0000

networking-bgpvpn (14.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 14.x series and fix tarball path.
  * New upstream release candidate for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Mar 2021 10:57:30 -0400

networking-bgpvpn (13.0.0+git2020121015.2722d5a-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 10 Dec 2020 15:13:08 +0000

networking-bgpvpn (13.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 08:25:34 -0400

networking-bgpvpn (13.0.0~rc1-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Scope to 13.x series.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 16:25:05 -0400

networking-bgpvpn (12.0.1~git2020091516.f98cd4b-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Sep 2020 16:10:49 -0400

networking-bgpvpn (12.0.1~git2020070613.82af96f-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-mock.patch: Dropped. Fixed upstream.
  * d/control, d/compat: Switch to debhelper compat 12.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jul 2020 13:59:10 -0400

networking-bgpvpn (12.0.0-0ubuntu1) groovy; urgency=medium

  * d/p/fix-mock.patch: Cherry-picked from https://review.opendev.org/#/c/722308 to
    fix unit test failures.
  * d/watch: Scope to 12.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 May 2020 14:03:10 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/networking-bgpvpn/ networking-bgpvpn-(14\.\d.*)\.tar\.gz

## networking-bgpvpn 15.0.0

=== debian/changelog ===
networking-bgpvpn (15.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 15.x series.
  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Oct 2021 10:45:21 -0400

networking-bgpvpn (14.0.0+git2021090912.78fc8e3-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Sep 2021 12:47:58 -0400

networking-bgpvpn (14.0.0+git2021072117.8b3d07c-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 17:14:52 -0400

networking-bgpvpn (14.0.0+git2021061112.b4cbc90-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 12:51:52 +0000

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/networking-bgpvpn/ networking-bgpvpn-(15\.\d.*)\.tar\.gz

## networking-bgpvpn 16.0.0

=== debian/changelog ===
networking-bgpvpn (16.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 16.x series.
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Mar 2022 21:24:11 -0400

networking-bgpvpn (15.0.0+git2022030313.1d09555-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 13:59:12 -0500

networking-bgpvpn (15.0.0+git2021120909.1789824-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 09:24:31 -0500

=== debian/control ===
Source: networking-bgpvpn
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 4.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
 python3-sphinxcontrib.blockdiag (>= 1.5.4),
 python3-sphinxcontrib.seqdiag (>= 0.8.4),
Build-Depends-Indep:
 python3-astroid (>= 2.1.0),
 python3-coverage (>= 4.0),
 python3-debtcollector (>= 1.19.0),
 python3-django-nose (>= 1.4.4),
 python3-hacking,
 python3-networking-bagpipe (>= 12.0.0),
 python3-neutron (>= 2:16.0.0),
 python3-neutron-lib (>= 1.30.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-testr (>= 1.0.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.37.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-psycopg2 (>= 2.8.5),
 python3-pymysql (>= 0.7.6),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 1.0.0),
 python3-tempest (>= 1:17.1.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.8.2),
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-bgpvpn
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-bgpvpn
Homepage: https://opendev.org/openstack/networking-bgpvpn

Package: networking-bgpvpn-common
Architecture: all
Depends:
 ${misc:Depends},
Breaks:
 python-networking-bgpvpn (<< 9.0.0~b2-0ubuntu2~),
Replaces:
 python-networking-bgpvpn (<< 9.0.0~b2-0ubuntu2~),
Description: BGP-MPLS VPN Extension for OpenStack Networking (common)
 This project provides an API and Framework to interconnect BGP/MPLS VPNs
 to Openstack Neutron networks, routers and ports.
 .
 The Border Gateway Protocol and Multi-Protocol Label Switching are widely
 used Wide Area Networking technologies. The primary purpose of this project
 is to allow attachment of Neutron networks and/or routers to VPNs built in
 carrier provided WANs using these standard protocols. An additional purpose
 of this project is to enable the use of these technologies within the Neutron
 networking environment.
 .
 This package provides common configuration files.

Package: python-networking-bgpvpn-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: BGP-MPLS VPN Extension for OpenStack Networking (common documentation)
 This project provides an API and Framework to interconnect BGP/MPLS VPNs
 to Openstack Neutron networks, routers and ports.
 .
 The Border Gateway Protocol and Multi-Protocol Label Switching are widely
 used Wide Area Networking technologies. The primary purpose of this project
 is to allow attachment of Neutron networks and/or routers to VPNs built in
 carrier provided WANs using these standard protocols. An additional purpose
 of this project is to enable the use of these technologies within the Neutron
 networking environment.
 .
 This is the common documentation package.

Package: python3-networking-bgpvpn
Architecture: all
Depends:
 networking-bgpvpn-common (= ${source:Version}),
 python3-debtcollector (>= 1.19.0),
 python3-networking-bagpipe (>= 12.0.0),
 python3-neutron (>= 2:16.0.0),
 python3-neutron-lib (>= 1.30.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.37.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 4.0.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-networking-bgpvpn-doc,
Description: BGP-MPLS VPN Extension for OpenStack Networking (Python 3)
 This project provides an API and Framework to interconnect BGP/MPLS VPNs
 to Openstack Neutron networks, routers and ports.
 .
 The Border Gateway Protocol and Multi-Protocol Label Switching are widely
 used Wide Area Networking technologies. The primary purpose of this project
 is to allow attachment of Neutron networks and/or routers to VPNs built in
 carrier provided WANs using these standard protocols. An additional purpose
 of this project is to enable the use of these technologies within the Neutron
 networking environment.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/networking-bgpvpn/ networking-bgpvpn-(16\.\d.*)\.tar\.gz

## networking-bgpvpn 17.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.

=== debian/changelog ===
networking-bgpvpn (17.0.0-0ubuntu1~cloud0) jammy-zed; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 06 Oct 2022 23:43:39 +0000

networking-bgpvpn (17.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 17.x series.
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 17:04:08 -0400

networking-bgpvpn (16.0.0+git2022091215.03265a1-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 15:20:24 -0400

networking-bgpvpn (16.0.0+git2022071815.d6a7d99-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Jul 2022 15:25:46 -0400

networking-bgpvpn (16.0.0+git2022060609.07c35f9-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jun 2022 09:32:29 -0400

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Chuck Short <zulcss@ubuntu.com>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 119ubuntu1~),
  python3-all,
  python3-pbr (>= 4.0.0),
  python3-setuptools,
@@ -39,8 +39,8 @@
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
  python3-webob (>= 1:1.8.2),
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-bgpvpn
+ python3-webtest,
+Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-bgpvpn
 Homepage: https://opendev.org/openstack/networking-bgpvpn

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/networking-bgpvpn/ networking-bgpvpn-(17\.\d.*)\.tar\.gz

## networking-bgpvpn 18.0.0

=== debian/changelog ===
networking-bgpvpn (18.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 24 Mar 2023 09:13:44 -0400

networking-bgpvpn (18.0.0~rc1-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Mar 2023 07:54:14 -0500

networking-bgpvpn (17.0.0+git2023011010.d259ea39-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 10:11:49 -0500

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
  python3-astroid (>= 2.1.0),
  python3-coverage (>= 4.0),
  python3-debtcollector (>= 1.19.0),
+ python3-django-horizon (>= 4:17.1.0),
  python3-django-nose (>= 1.4.4),
  python3-hacking,
  python3-networking-bagpipe (>= 12.0.0),
@@ -27,11 +28,13 @@
  python3-oslo.db (>= 4.37.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
+ python3-oslo.policy (>= 3.12.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslosphinx (>= 4.7.0),
  python3-oslotest (>= 1:3.2.0),
  python3-psycopg2 (>= 2.8.5),
  python3-pymysql (>= 0.7.6),
+ python3-pytest (>= 5.3.5),
  python3-stestr (>= 1.0.0),
  python3-subunit (>= 1.0.0),
  python3-tempest (>= 1:17.1.0),
@@ -39,7 +42,7 @@
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
  python3-webob (>= 1:1.8.2),
- python3-webtest,
+ python3-webtest (>= 2.0.27),
 Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-bgpvpn
 Homepage: https://opendev.org/openstack/networking-bgpvpn
@@ -89,6 +92,7 @@
 Depends:
  networking-bgpvpn-common (= ${source:Version}),
  python3-debtcollector (>= 1.19.0),
+ python3-django-horizon (>= 4:17.1.0),
  python3-networking-bagpipe (>= 12.0.0),
  python3-neutron (>= 2:16.0.0),
  python3-neutron-lib (>= 1.30.0),

## networking-bgpvpn 19.0.0

=== requirements.txt ===
--- 
+++ 
@@ -17,8 +17,8 @@
 
 # OpenStack CI will install the following projects from git
 # if they are in the required-projects list for a job:
-neutron>=16.0.0.0b1 # Apache-2.0
-networking-bagpipe>=12.0.0.0rc1 # Apache-2.0
+neutron>=23.0.0.0b2 # Apache-2.0
+networking-bagpipe>=12.0.0 # Apache-2.0
 horizon>=17.1.0 # Apache-2.0
 
 # The comment below indicates this project repo is current with neutron-lib

=== debian/changelog ===
networking-bgpvpn (19.0.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 05 Oct 2023 12:32:22 +0000

networking-bgpvpn (19.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 09:09:34 -0400

networking-bgpvpn (18.0.0+git2023090714.fd5d5818-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Sep 2023 14:35:02 -0400

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  python3-django-nose (>= 1.4.4),
  python3-hacking,
  python3-networking-bagpipe (>= 12.0.0),
- python3-neutron (>= 2:16.0.0),
+ python3-neutron (>= 2:23.0.0~),
  python3-neutron-lib (>= 1.30.0),
  python3-openstackdocstheme (>= 2.2.1),
  python3-os-testr (>= 1.0.0),
@@ -94,7 +94,7 @@
  python3-debtcollector (>= 1.19.0),
  python3-django-horizon (>= 4:17.1.0),
  python3-networking-bagpipe (>= 12.0.0),
- python3-neutron (>= 2:16.0.0),
+ python3-neutron (>= 2:23.0.0~),
  python3-neutron-lib (>= 1.30.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.db (>= 4.37.0),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/networking-bgpvpn/ networking-bgpvpn-(\d.*)\.tar\.gz

## networking-bgpvpn 20.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,10 +1,6 @@
 # Requirements lower bounds listed here are our best effort to keep them up to
 # date but we do not test them so no guarantee of having them all correct. If
 # you find any incorrect lower bounds, let us know or propose a fix.
-
-# The order of packages is significant, because pip processes them in the order
-# of appearance. Changing the order has an impact on the overall integration
-# process, which may cause wedges in the gate later.
 
 pbr>=4.0.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0

=== debian/changelog ===
networking-bgpvpn (20.0.0-0ubuntu1~cloud0) jammy-caracal; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 05 Apr 2024 15:00:46 +0000

networking-bgpvpn (20.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 14:41:59 +0100

networking-bgpvpn (20.0.0~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Thu, 21 Mar 2024 10:02:52 +0000

networking-bgpvpn (19.0.0+git2024011916.deafdf6b-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 24 Jan 2024 12:31:18 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  python3-django-nose (>= 1.4.4),
  python3-hacking,
  python3-networking-bagpipe (>= 12.0.0),
- python3-neutron (>= 2:23.0.0~),
+ python3-neutron (>= 2:23.0.0~b2),
  python3-neutron-lib (>= 1.30.0),
  python3-openstackdocstheme (>= 2.2.1),
  python3-os-testr (>= 1.0.0),
@@ -94,7 +94,7 @@
  python3-debtcollector (>= 1.19.0),
  python3-django-horizon (>= 4:17.1.0),
  python3-networking-bagpipe (>= 12.0.0),
- python3-neutron (>= 2:23.0.0~),
+ python3-neutron (>= 2:23.0.0~b2),
  python3-neutron-lib (>= 1.30.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.db (>= 4.37.0),

## networking-bgpvpn 20.0.0+git2024080809.e62d94fc

=== debian/changelog ===
networking-bgpvpn (20.0.0+git2024080809.e62d94fc-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Aug 2024 11:43:49 +0100

## networking-bgpvpn 21.0.0~rc1

=== debian/changelog ===
networking-bgpvpn (21.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2024 22:33:29 +0200

networking-bgpvpn (21.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2024 10:55:12 +0200

networking-bgpvpn (20.0.0-3) unstable; urgency=medium

  * Add Architecture: amd64 arm64 ppc64el to d/tests/control.

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 May 2024 13:34:19 +0200

networking-bgpvpn (20.0.0-2) unstable; urgency=medium

  * Removed build-depends on python3-django-nose (Closes: #1070285).

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 May 2024 09:05:21 +0200

networking-bgpvpn (20.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 22:08:29 +0200

networking-bgpvpn (20.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Enable unit tests at build time and autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Mar 2024 12:06:28 +0100

networking-bgpvpn (19.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 12:56:16 +0200

networking-bgpvpn (19.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Sep 2023 12:32:20 +0200

networking-bgpvpn (18.0.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1048187).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 17:20:06 +0200

networking-bgpvpn (18.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Jun 2023 09:14:55 +0200

networking-bgpvpn (18.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 16:15:56 +0100

networking-bgpvpn (18.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bookworm.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Mar 2023 11:00:56 +0100

networking-bgpvpn (17.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2022 08:43:12 +0200

networking-bgpvpn (17.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 17:51:57 +0200

networking-bgpvpn (17.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-webtest to build-depends.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Sep 2022 21:56:42 +0200

networking-bgpvpn (16.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 21:47:47 +0200

networking-bgpvpn (16.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 14:42:38 +0100

networking-bgpvpn (16.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Mar 2022 10:19:30 +0100

networking-bgpvpn (15.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:24:24 +0200

networking-bgpvpn (15.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:25:18 +0200

networking-bgpvpn (15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Require Horizon >= 3:20.0.0+git2020.09.21.27036cc0eb.

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Sep 2021 16:37:31 +0200

networking-bgpvpn (14.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 17:44:38 +0200

networking-bgpvpn (14.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Apr 2021 16:39:05 +0200

networking-bgpvpn (14.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Mar 2021 12:38:21 +0200

=== debian/control ===
Source: networking-bgpvpn
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
 python3-sphinxcontrib.blockdiag,
 python3-sphinxcontrib.seqdiag,
Build-Depends-Indep:
 openstack-dashboard,
 python3-coverage,
 python3-debtcollector,
 python3-django-horizon,
 python3-isort,
 python3-networking-bagpipe,
 python3-neutron (>= 23.0.0~b2),
 python3-neutron-lib,
 python3-openstackdocstheme,
 python3-os-testr,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-oslosphinx,
 python3-oslotest,
 python3-psycopg2,
 python3-pymysql,
 python3-stestr,
 python3-subunit,
 python3-tempest,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-webtest,
 subunit,
Standards-Version: 4.5.0
Homepage: http://github.com/openstack/networking-bgpvpn
Vcs-Browser: https://salsa.debian.org/openstack-team/neutron-plugins/networking-bgpvpn
Vcs-Git: https://salsa.debian.org/openstack-team/neutron-plugins/networking-bgpvpn.git

Package: networking-bgpvpn-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack virtual network service - BGP-MPLS VPN Extension - doc
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides an API and Framework to interconnect BGP/MPLS VPNs to
 Openstack Neutron networks, routers and ports.
 .
 The Border Gateway Protocol and Multi-Protocol Label Switching are widely used
 Wide Area Networking technologies. The primary purpose of this project is to
 allow attachment of Neutron networks and/or routers to VPNs built in carrier
 provided WANs using these standard protocols. An additional purpose of this
 project is to enable the use of these technologies within the Neutron
 networking environment.
 .
 A vendor-neutral API and data model are provided such that multiple SDN
 controllers may be used as backends, while offering the same tenant facing
 API. A reference implementation working along with Neutron reference drivers
 is also provided.
 .
 This package contains the documentation.

Package: python3-networking-bgpvpn
Architecture: all
Section: python
Depends:
 python3-debtcollector,
 python3-django-horizon,
 python3-networking-bagpipe,
 python3-neutron (>= 23.0.0~b2),
 python3-neutron-lib,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-pbr,
 python3-sphinx,
 python3-sphinxcontrib.blockdiag,
 python3-sphinxcontrib.seqdiag,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 networking-bgpvpn-doc,
Description: OpenStack virtual network service - BGP-MPLS VPN Extension - Python 3.x
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides an API and Framework to interconnect BGP/MPLS VPNs to
 Openstack Neutron networks, routers and ports.
 .
 The Border Gateway Protocol and Multi-Protocol Label Switching are widely used
 Wide Area Networking technologies. The primary purpose of this project is to
 allow attachment of Neutron networks and/or routers to VPNs built in carrier
 provided WANs using these standard protocols. An additional purpose of this
 project is to enable the use of these technologies within the Neutron
 networking environment.
 .
 A vendor-neutral API and data model are provided such that multiple SDN
 controllers may be used as backends, while offering the same tenant facing
 API. A reference implementation working along with Neutron reference drivers
 is also provided.

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,11 @@
 
 override_dh_auto_clean:
 	python3 setup.py clean
+	rm -rf build .stestr *.egg-info doc/source/_static
+	mkdir -p doc/source/_static
+	touch doc/source/_static/.placeholder
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."
@@ -39,8 +44,7 @@
 		--namespace networking-bgpvpn
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	echo "Disabling tests until networking-bagpipe is in Debian ..."
-#	pkgos-dh_auto_test --no-py2 'networking_bgpvpn\.tests.*'
+	pkgos-dh_auto_test --no-py2 'networking_bgpvpn\.tests.*'
 endif
 
 	rm -r $(CURDIR)/debian/tmp/usr/etc

## networking-bgpvpn 21.0.0

=== debian/changelog ===
networking-bgpvpn (21.0.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090441).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 13:56:40 +0100

networking-bgpvpn (21.0.0-2) unstable; urgency=medium

  * Add missing (build-)depends on python3-bcrypt (Closes: #1087786).

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Nov 2024 09:12:45 +0100

networking-bgpvpn (21.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 16:42:20 +0200

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
  python3-sphinxcontrib.seqdiag,
 Build-Depends-Indep:
  openstack-dashboard,
+ python3-bcrypt,
  python3-coverage,
  python3-debtcollector,
  python3-django-horizon,
@@ -82,6 +83,7 @@
 Architecture: all
 Section: python
 Depends:
+ python3-bcrypt,
  python3-debtcollector,
  python3-django-horizon,
  python3-networking-bagpipe,

## networking-bgpvpn 21.0.0+git2025011510.4969079

=== debian/changelog ===
networking-bgpvpn (21.0.0+git2025011510.4969079-0ubuntu1) plucky; urgency=medium

  [ James Page ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.

  [ Myles ]
  * New upstream release for OpenStack Epoxy.
  * d/control: Remove outdated dependencies.

 -- Myles <myles.penner@canonical.com>  Tue, 21 Jan 2025 10:07:33 +0000

networking-bgpvpn (21.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:29:59 +0100

networking-bgpvpn (21.0.0~rc1-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2024 15:01:30 +0100

## networking-bgpvpn 21.0.0+git2025030311.4969079

=== debian/changelog ===
networking-bgpvpn (21.0.0+git2025030311.4969079-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 05 Mar 2025 10:07:17 +0000
